#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include "event.h"

//*********************
// 構造体生成
//*********************
struct device_prop{
	int fd;
	struct event_header *event;
	unsigned int *data;
	int max_data;
};


//*********************
// ダミー
//*********************
int fe_init(struct device_prop *dev){
	return 0;}

int fe_wait(struct device_prop *dev){
	usleep(10*1000*1000);
	return 0;}

int fe_read(struct device_prop *dev){
	int ndata = 0;
	double sdata=0;
	int i=0;

	system("/usr/local/bin/temperall | cut -d ',' -f 2  >data.lg");
	FILE *fp;
	char str[256];
	fp = fopen("data.lg","r");
	fgets(str,256,fp);
	sdata=atof(str);
	fclose(fp);
	dev->data[i]=sdata;
	dev->data[1]=0;
	ndata++;
	ndata=2;
	return ndata;}

int fe_final(){
	return 0;}



//*********************
// メイン
//*********************
int main(int argc, char* argv[]){
	struct device_prop dp;
	struct event_header *event;
	static unsigned int databuf[1024];

	int event_number;
	int nread, nwrite;

	event = (struct event_header *)databuf;
	dp.data = (unsigned int *)((char *)databuf + sizeof(struct event_header));
	dp.event = event;

	event->magic = EV_MAGIC;
	event->size = 0;
	event->event_number = 0;
	event->run_number = 0;
	event->node_id = 0;
	event->type = 0;
	event->nblock = 0;
	event->reserve = 0;

	fe_init(&dp);

	event_number = 0;
	while (1) {
		int i;
		event->event_number = event_number;
		if (fe_wait(&dp) == 0) {
			nread = fe_read(&dp);
			dp.data[nread++] = EV_TRAILER;
			event->size = sizeof(struct event_header)/sizeof(unsigned int) + nread;

#if 0
			for (i = 0 ; i < event->size ; i++) {
				printf("%08x ", databuf[i]);
			}
			printf("\n");
#else

			nwrite = fwrite(databuf, sizeof(unsigned int), event->size, stdout);
			fflush(stdout);
#endif
		}
		event_number++;
	}

	fe_final(&dp);

	return 0;
}
